curl --request PATCH \
--url https://api.byblend.com/api/v1/products/prescription/{product_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Mupirocin",
"sku": "MY-SKU_1234567890",
"description": "A topical cream that is used to treat skin infections.",
"product_code": "SUPERSPRAY15"
}
'import requests
url = "https://api.byblend.com/api/v1/products/prescription/{product_id}"
payload = {
"name": "Mupirocin",
"sku": "MY-SKU_1234567890",
"description": "A topical cream that is used to treat skin infections.",
"product_code": "SUPERSPRAY15"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Mupirocin',
sku: 'MY-SKU_1234567890',
description: 'A topical cream that is used to treat skin infections.',
product_code: 'SUPERSPRAY15'
})
};
fetch('https://api.byblend.com/api/v1/products/prescription/{product_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "0227d1e5-ba9a-42b5-8fe2-38882aa65708",
"created_at": "2025-03-15T12:00:00Z",
"updated_at": "2025-03-15T12:00:00Z",
"sku": "1234567890",
"name": "Mupirocin",
"description": "A topical cream that is used to treat skin infections.",
"product_code": "SUPERSPRAY15",
"form": "cream",
"is_active": true,
"label_orientation": "portrait",
"strength": "1%"
}Update a prescription product
Partial update — send only the fields to change. PUT is also accepted with identical merge semantics for backward compatibility.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Unique (UUID) identifier for the prescription product
"98cae3a3-996c-4bf5-9143-0ab6d98bc1d0"
Body
Name of the product
"Mupirocin"
External SKU of the product; can be referenced in orders
"MY-SKU_1234567890"
Description of the product
"A topical cream that is used to treat skin infections."
Customer code for the product (for use in electronic prescription references).
"SUPERSPRAY15"
Response
Prescription product updated successfully
Unique identifier
"0227d1e5-ba9a-42b5-8fe2-38882aa65708"
Date and time of creation
"2025-03-15T12:00:00Z"
Date and time of last update
"2025-03-15T12:00:00Z"
Unique inventory identifier for the product
"1234567890"
"Mupirocin"
"A topical cream that is used to treat skin infections."
Customer reference for the product for use in electronic prescriptions.
"SUPERSPRAY15"
Optional form of the product for customer use, if desired.
"cream"
Whether the product is currently active for purchase or prescription
true
Orientation of the printed product label, either portrait or landscape.
"portrait"
Optional strength of the product for customer use, if desired.
"1%"